package cp;

import java.util.List;

import acqConstraints.AcqConstraint;
import machineLearning.Query;
import config.Heuristic;
import vocabulary.AcqNetwork;

abstract public class ConstraintSolver {

	boolean timeouted = false;

	public abstract boolean solve(AcqNetwork learned_network);

	public abstract Query solve_AnotB(AcqNetwork network1,
			AcqNetwork network2, Heuristic heuristic);
	
	public boolean timeout_reached(){
		return this.timeouted;
	}

}
