/***************************************************************
 * Cst_type enumretaion
 * 
 * type of constraints
 * 
 * @author LAZAAR
 * @date 29-11-16
 ***************************************************************/

package config;

public enum Cst_type {
	
	Reified, // b<=>cst
	
	EqualX,	// x=constant 
	DiffX,	// x!= constant
	DifferentXY,	// x!=y
	EqualXY,	// x=y
	GreaterOrEqualXY,	// x>=y
	GreaterXY,	// x>y
	LessOrEqualXY,	// x<=y
	LessXY,  // x<y
	///////////////////////////////////////////////// ZEBRA PROBLEM
	Prev,
	NPrev,
	Next,
	NNext, 
	Neighbour,
	NotNeighbour,
	Neighbour2,
	NotNeighbour2,
	Neighbour3,
	NotNeighbour3,
	Neighbour4,
	NotNeighbour4,
	At1,
	At2, 
	At3,
	At4,
	At5,
	notAt1,
	notAt2, 
	notAt3,
	notAt4,
	notAt5,	
	///////////////////////////////////////////////////SchursLemma
	AllDiffXYZ, 
	AllEqualXYZ, 
	NotAllDiffXYZ, 
	NotAllEqualXYZ,  
	DistanceXYZ, 
	NotDistanceXYZ,
	///////////////////////////////////////////////////// Golomb rulers
	DistanceXYZT, 
	NotDistanceXYZT, 
	GreaterXYZT,	
	LessOrEqualXYZT,									
	DistanceSup2, 
	DistanceSup3,
	DistanceSup1, 
	DistanceInfEq2, 
	DistanceInfEq3, 
	///////////////////////////////////////////////////// radio
	OutDiag1, 
	OutDiag2, 
	InDiag1, 
	InDiag2, 
	AbsInDiag, 
	AbsOutDiag,									
	AbsDistanceXYZ, 
	NotAbsDistanceXYZ, 
	///////////////////////////////////////////////////// graceful graphs
	Before,
	BeforeInv,
	During,
	DuringInv,
	Equals,
	Finish,
	FinishInv,
	Meet,
	MeetInv,
	Overlap,
	OverlapInv,
	Start,
	StartInv,  
	/////////////////////////////////////////////////////Allen's Algebra
	NotBefore,
	NotBeforeInv,
	NotDuring,
	NotDuringInv,
	NotEquals,
	NotFinish,
	NotFinishInv,
	NotMeet,
	NotMeetInv,
	NotOverlap,
	NotOverlapInv,
	NotStart,
	NotStartInv,  
	/////////////////////////////////////////////////////Allen's Algebra complement
	AllDiff, 
	atMost, 
	atLeast,  
	/////////////////////////////////////////////////////Global
	ArrivalConstraint, 
	NotArrivalConstraint, 
	/////////////////////////////////////////////////////Meeting Scheduling
	Distance2, 
	NotDistance2, 
	Distance3, 
	NotDistance3, 
	Distance4, 
	NotDistance4, 
	Distance5, 
	NotDistance5, 
	Distance6, 
	NotDistance6,  
	///////////////////////////////////////////////////////Langford
	Distance, 
	NotDistance,
	DistanceSup,
	DistanceInfEq,
	ScoredPlus10, 
	NotScoredPlus10, 
	ScoredPlus7, 
	NotScoredPlus7,
	ScoredPlus4, 
	NotScoredPlus4,
	ScoredPlus4or7,
	NotScoredPlus4or7, 
	/////////////////////////////////////////////////////RondofGolf	
}
