package ag;

import java.util.Arrays;
import java.util.BitSet;

import acqConstraints.Operator;
import combinatorial.AllPermutationIterator;
import combinatorial.CombinationIterator;
/**
 * Tests de la fonction checkNotAllNeg(ACQ_Query)
 * @author teddy
 *
 */
public class Test4 {
	public static void main (String[]args) {

		// Construction biais
		int NB_VARIABLE = 3;
		// build All variables set
		BitSet bs = new BitSet();
		bs.set(0, NB_VARIABLE);
		ACQ_Scope allVarSet = new ACQ_Scope(bs);
		// build Constraints
		ACQ_ConstraintSet constraints = new ACQ_ConstraintSet();
		CombinationIterator iterator = new CombinationIterator(NB_VARIABLE, 2);
//		while (iterator.hasNext()) {
//			int[] vars = iterator.next();
//			AllPermutationIterator pIterator = new AllPermutationIterator(2);
//			while (pIterator.hasNext()) {
//				int[] pos = pIterator.next();
//				// X != Y
//				constraints.add(new BinaryArithmetic("DifferentXY", vars[pos[0]], Operator.NQ, vars[pos[1]]));
//				// X != Y
//				//constraints.add(new BinaryArithmetic("EqualXY", vars[pos[0]], Operator.EQ, vars[pos[1]]));
//			}
//		}
//		constraints.add(new BinaryArithmetic("DifferentXY", 0, Operator.EQ, 1));
//		constraints.add(new BinaryArithmetic("DifferentXY", 1, Operator.NQ, 0));
//		constraints.add(new BinaryArithmetic("DifferentXY", 0, Operator.NQ, 1));
		ACQ_Network network = new ACQ_Network(allVarSet, constraints);
		ACQ_Scope varSet1 = new ACQ_Scope(0,1);
		int[] valueSet1 = {5,6};
		ACQ_Query example1 = new ACQ_Query(varSet1, valueSet1);
		System.out.println("test res :"+network.check(example1));
		int[] a = {4,5};
		BinaryArithmetic b = new BinaryArithmetic("DifferentXY", 0, Operator.NQ, 1);
		System.out.println("binary : "+b.checker(a));
	}
}
